#!/usr/bin/env python
#coding: utf-8

"""
What is :
   Auto Make setup.py Script

Description : 
   自動でsetup.pyスクリプトを作ります。
   setup.pyを作るに当たってユーザーにいくつかの質問をし、その答えに従ってsetup.pyを作ります。

"""

import os
from utilities  import *

if os.access("setup.py",os.F_OK):
	console.log("setup.py is Already exist.")
	kill()
	
answers = {}

# start question
console.log("Start interpreter!")
console.log("Please enter your answer after the colon")
console.log("="*50)
answers["app_name"] = raw_input("The Application name is : ")
answers["author"] = raw_input("Your name : ")
answers["author_email"] = raw_input("Your email addr : ")
answers["version"] = raw_input("Your application's version : ")
answers["license"] = raw_input("Your application's license : ")
answers["url"] = raw_input("Your application's url : ")
answers["download_url"] = raw_input("URL to download your app : ")
answers["description"] = raw_input("Your application's description : ")
answers["py_modules"] = buildlist(raw_input("Python modules (separeted by space) : "))
answers["packages"] = buildlist(raw_input("Python packages (separeted by space) : "))
answers["install_requires"] = buildlist(raw_input("install requires (separeted by space) : "))
answers["scripts"] = buildlist(raw_input("Your application's scripts (separeted by space) : "))
console.log("="*50)
console.log("Completed!")


fp = open("setup.py", "w")
fp.write(template % answers)
fp.close()

